%define prefix /usr
%define url https://sourceforge.net/project/?group_id=6126

Name:		checkmp3
Version:	1.98
Release:	%mkrel 3
License:	GPL
Group:		Sound
URL:		%{url}
Source0:	checkmp3

Summary:	mp3_check helps to identify in explicit detail MP3s
Summary(de):	Identifiziert MP3s, die nicht dem MP3-Format folgen
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	%name < %version

%description
mp3_check helps to identify in explicit detail MP3s that do not correctly 
follow the MP3 format. It also looks for invalid frame headers, missing 
frames, etc., and generates useful statistics. This can be useful when 
building a high-quality mp3 archive...

#german
%description -l de
mp3_check untersucht MP3-Dateien und meldet detailliert Regelverstöße. 
Es sucht auch nach fehlenden Datenrahmen, ungültigen Rahmenheadern und 
so weiter. Nebenbei gibt es nützliche Statistiken aus. Das Programm ist 
hilfreich beim Aufbau von MP3-Archiven in hoher Qualität... 

%prep

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%_bindir
install -D -m 755 %SOURCE0 $RPM_BUILD_ROOT/%_bindir/


%files
%defattr(-,root,root)
%{_bindir}/checkmp3

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Jul 30 2019 tex - 1.98-3pclos2019
- rebuild against updates

* Tue Jul 30 2019 tex - 1.98-2pclos2019.1
- rebuild against updates

